coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/couponsv1

[Instant Discount Coupon] Query a list of coupons (status)

# 01

Summary

Available buyer market: Korea This API queries issued coupons by status.

# 02

Details

Available buyer market: Korea
This API queries issued coupons by status.
 

Path

GET

/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons

Example Endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupons?status=APPLIED&page=1&size=10&sort=desc

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345

Query String Parameter

Name Required Type Description
status O String
Coupon status (STANDBY, APPLIED, PAUSED, EXPIRED, DETACHED)
page   Number
Page: 1 by default
Key value to call the next page; enter nothing or '1' to call the 1st page
size   Number
# of results per page
sort   String
Sorting (asc, desc)
Ascending by default

Request Example

 
not require body

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
httpStatus Number
HTTP Status Code (same as the server response code)
httpStatusMessage String
HTTP Status Message (same as the server response message)
errorMessage String
Detailed reason for error other than HTTP Status 200
data Object
Coupon list data
  success Boolean
Success or failure
true or false
  content Array
Coupon list
    contractId Number
Contract ID
    vendorContractId Number
Vendor's contract code (Coupang management code)
ex) -1, 1, 2
    couponId Number
Coupon ID
    discount Number
Discount rate
    endAt String
Effective end date/time
ex) 2017-09-01 00:00:00
    maxDiscountPrice Number
Max. discount amount
ex) 1000, 10000
    promotionName String
Promotion name
ex) Dress discount coupon for the 2nd wk of Jan
    startAt String
Effective start date/time
ex) 2017-08-04 01:00:00
    status String
Coupon status
Code Description
STANDBY Standing by
APPLIED In use
PAUSED Issuance paused
EXPIRED Expired
DETACHED Item removed
    type String
Discount type
ex) RATE (fixed-rate discount), FIXED_WITH_QUANTITY (fixed-amount discount per quantity) and PRICE (fixed-amount discount)
    wowExclusive Boolean
Issuance target
false (all: Default)
true (Rocket Wow members)
  Pagination Array
Paging
    countPerPage Number
Data count per page 
ex) 10, 20, 30
    currentPage Number
Current page
ex) 1
    totalPages Number
Total page count
ex) 1000
    totalElements Number
Total data Count
ex) 1000

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2246326,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 40000,
        "discount": 30,
        "startAt": "2018-04-03 15:00:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false" 
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2245939,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 30000,
        "discount": 20,
        "startAt": "2018-04-02 18:37:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false" 
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2121942,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 10000,
        "discount": 5,
        "startAt": "2018-03-30 00:01:00",
        "endAt": "2018-04-06 23:59:00",
        "wowExclusive": "false" 
      }
    ],
    "pagination": {
      "currentPage": 1,
      "countPerPage": 10,
      "totalPages": 1,
      "totalElements": 3
    }
  }
}

Error Spec

HTTP status code (error type) Error message How to resolve
400 (check request parameter)

Check access to the vendor info.

Check if the seller ID (vendorId) is correct.

400 (check request parameter) Page index must not be less than zero!

Check if the page value is correct.